s390-tools (2.41.0-0ubuntu3.1) resolute; urgency=medium

  * Add package adduser to d/control Depends, since it is used in postinst,
    but it's not flagged as an essential package. (LP: #2162891)
  * Add makedumpfile to d/control Depends, to enable zipl to install
    standalone list-directed IPL dumps.

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 07 Aug 2026 11:09:37 +0200

s390-tools (2.41.0-0ubuntu3) resolute; urgency=medium

  * Update d/p/fix-64bit-lib-path-handling.patch and fix path for .so files in
    s390-tools-zkey initramfs hook to /usr/libexec (LP: #2147107).

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 07 Apr 2026 14:58:01 +0200

s390-tools (2.41.0-0ubuntu2) resolute; urgency=medium

  * Move usr/lib/dracut/dracut.conf.d/99-pkey.conf from s390-tools to
    s390-tools-zkey in d/s390-tools-zkey.install since it includes:
    install_items+=" chzcrypt lszcrypt zkey zkey-cryptsetup "
    and add s390-tools-zkey [s390x] as recommends in d/control for s390-tools
    and be more specific in d/s390-tools.install.s390x and install only
    /usr/lib/dracut/modules.d/ instead /usr/lib/dracut/ to avoid
    adding 99-pkey.conf twice (LP: #2143803).
  * Update d/libekmfweb1.symbols.
  * Extend d/s390-tools.lintian-overrides with another Rust false positive.
  * Update d/watch file to v5.

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 10 Mar 2026 11:35:19 +0100

s390-tools (2.41.0-0ubuntu1) resolute; urgency=medium

  * New upstream release. (LP: #2141945)
    - Refresh d/p/fix-64bit-lib-path-handling.patch to solve fuzz.
    - Update XS-Vendored-Sources-Rust field in d/control with new/different
      crates/versions.

 -- Frank Heimes <frank.heimes@canonical.com>  Mon, 16 Feb 2026 20:44:25 +0100

s390-tools (2.40.0-0ubuntu1) resolute; urgency=medium

  * New upstream release. (LP: #2135126)
    - d/control: bumped Standards-Version field to latest version to 4.7.2.
    - d/p/sg3-utils.patch: changed Forward field to not-needed
    - d/s390-tools.install*: expand to incl. pvverify tool and several
      bash and zsh completion files
    - d/s390-tools.install: add netboot related files to non-s390x packages,
      since they now work cross-platform

 -- Frank Heimes <frank.heimes@canonical.com>  Mon, 12 Jan 2026 13:25:25 +0100

s390-tools (2.39.0-0ubuntu1) resolute; urgency=medium

  * New upstream release. (LP: #2133937)
    - Refresh d/p/install-iucvterm.patch to remove fuzz.
    - Update d/p/vendor-remove-unused-deps.patch to reflect latest crates
      in rust-vendor/.
    - Remove d/p/debian/patches/lp-2118866-cpi-Disable-CPI-for-SEL-*.patch
      since it's already incl. in new upstream version.
    - Update XS-Vendored-Sources-Rust field in d/control with new/different
      crates/versions.

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 05 Dec 2025 11:47:11 +0100

s390-tools (2.38.0-0ubuntu3) questing; urgency=medium

  * Add d/p/lp-2118866-cpi-Disable-CPI-for-SEL-guests-by-default.patch to
    allow the cpictl utility to not automatically send CPI data if the Linux
    instance runs a Secure Execution guest (LP: #2118866).

 -- Frank Heimes <frank.heimes@canonical.com>  Thu, 31 Jul 2025 08:28:39 +0200

s390-tools (2.38.0-0ubuntu2) questing; urgency=medium

  * Move stage3*.* boot-loader files in d/s390-tools-data.install from
    pvimg/boot folder on up to pvimg, otherwise pvimg cannot find them
    (LP: #2118762).

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 25 Jul 2025 12:20:55 +0200

s390-tools (2.38.0-0ubuntu1) questing; urgency=medium

  * New upstream release. (LP: #2115416)
    - Modify d/p/conformance-to-dep17-usr-merge.patch due to context change
      and expand it to cover more cases.
    - Update XS-Vendored-Sources-Rust field in d/control with new/different
      crates/versions.
    - Update d/p/vendor-remove-unused-deps.patch to reflect latest crates
      in rust-vendor/.
    - Remove the following patches, since they are incl. in new upstream:
      - d/p/lp-2098500-scsi_logging_level-Delete-SCSI-logging-script.patch
      - d/p/lp-2098358-s390-tools-Add-zpwr-tool.patch
      - d/p/lp-2098358-zpwr-Add-man-page-for-zpwr-tool.patch
    - Expand and restructure d/s390-tools*.install to cover all Rust tools
      and to add files for command completion.
    - Add quilt patch d/p/fix-64bit-lib-path-handling.patch to fix
      handling of 64bit library path in s390-tools code and config files.
    - Expand d/s390-tools-chreipl-fcp-mpath.install for dracut-related
      config file.
    - Tidy up d/not-installed.

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 01 Jul 2025 08:12:06 +0200

s390-tools (2.37.0-0ubuntu5) questing; urgency=medium

  * No-change rebuild (LP: #2112166)

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 30 May 2025 09:39:33 +0200

s390-tools (2.37.0-0ubuntu4) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:21:09 +0200

s390-tools (2.37.0-0ubuntu3) questing; urgency=medium

  * Rebuild against latest fuse3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 May 2025 14:47:48 -0400

s390-tools (2.37.0-0ubuntu2) plucky; urgency=medium

  * Add d/p/lp-2098500-scsi_logging_level-Delete-SCSI-logging-script.patch
    to avoid issues with an outdated and duplicate script. (LP: #2098500)
  * Add the new zpwr tool that allows to report LPAR level power consumption
    by adding the following two upstream commits as patches (LP: #2098358):
    - d/p/lp-2098358-s390-tools-Add-zpwr-tool.patch
    - d/p/lp-2098358-zpwr-Add-man-page-for-zpwr-tool.patch

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 14 Feb 2025 16:40:39 +0100

s390-tools (2.37.0-0ubuntu1) plucky; urgency=medium

  * New upstream release. (LP: #2096789)
    - Modify d/p/vendor-remove-unused-deps.patch to reflect latest crates
      in rust-vendor/.
    - Remove d/p/lp-2091549-rust-Cargo.toml-Change-to-thin-local-LTO.patch
      since it's not longer needed.
    - Remove
      d/p/lp-2091549-zipl-src-Fix-incorrect-installation-of-zipl_helper.patch
      since it's no longer needed.
    - Update XS-Vendored-Sources-Rust field in d/control.
    - Update d/copyright and remove superfluous file pattern, sloving a
      lintian warning. 
    - Extend d/s390-tools.lintian-overrides to silence three lintian
      false positive messages on 'embedded-library libyaml' in Rust code.
    - Modify d/rules and force remove unneeded crates, so that the code lines
      do not cause errors if non are there and the script ends successfully.

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 07 Feb 2025 16:05:52 +0100

s390-tools (2.36.0-0ubuntu1) plucky; urgency=medium

  * New upstream release. (LP: #2091549)
    - Remove d/p/fix-unnecessary-qualification-error-in-ffi-rs-.patch
      since this got solved upstream with the help of:
      https://github.com/ibm-s390-linux/s390-tools/commit/6a55d0c
    - Remove d/p/discard-note-package-in-lds-files-to-solve-linker-error.patch
      since this got solved upstream with the help of:
      https://github.com/ibm-s390-linux/s390-tools/commit/fe2d240
    - Modify d/p/vendor-remove-unused-deps.patch to remove new/further
      unused dependencies and to fix existing ones.
    - d/rules:
      - Update tar cmd in vendor-tarball target, to reflect update
        https://github.com/canonical/ubuntu-mir/pull/71/commits/b0f9bf6.
      - Adjust paths for DEP-17 conformity.
    - d/control:
      - Update XS-Vendored-Sources-Rust field.
      - Add Build-Depends libnl-3-dev, libnl-route-3-dev and
        libnl-genl-3-dev, needed by new opticsmon tool.
    - Add d/p/conformance-to-dep17-usr-merge.patch to establish conformance
      to DEP-17 aka /usr-merge. This changes /lib to /usr/lib, /bin to
      /usr/bin and /sbin to /usr/sbin in several places in the Makefile.
    - d/s390-tools.install:
      - Add new tool pvimg, since genprotimg and others are now under pvimg
        and update existing paths.
    - Remove usr/lib/ from d/s390-tools.install.s390x, because it became too
      generic with the DEP-17 changes and attempts to install files twice.
      Instead add dedicated lines for components, like usr/lib/<component>.
    - Move pvapconfig from d/s390-tools.install to d/s390-tools.install.s390x
      since pvapconfig only makes sense on s390x.
    - d/s390-tools-cpuplugd.install: Update path for DEP-17 compliance.
    - d/s390-tools-osasnmpd.install: Update path for DEP-17 compliance.
    - d/s390-tools-statd.install: Update path for DEP-17 compliance.
    - d/s390-tools-chreipl-fcp-mpath.install: Update path for DEP-17 compliance.
    - d/libekmfweb*.install: Adjust path and ensure DEP-17 compliance.
    - d/libkmipclient*.install: Adjust path and ensure DEP-17 compliance.
    - d/s390-tools.links: Create genprotimg link, pointing to pvimg.
    - d/s390-tools-data.install: update stage3*.bin file paths due to pvimg
      changes.
    - d/copyright: Update to reflect changed crate dependencies.
    - d/not-installed: Update paths due to DEP-17 and add entries for files
      that exist in more than one place after build, to avoid lintian warnings
      on having them not installed.
    - Add d/p/lp-2091549-rust-Cargo.toml-Change-to-thin-local-LTO.patch,
      picked from upstream, to change Rust build using LTO 'thin'.
    - Add d/p/lp-2091549-zipl-src-Fix-incorrect-installation-zipl_helper.patch
      to fix zipl helper installation and with that solve upstream issue 178.
    - Update d/s390-tools.lintian-overrides to:
      - Remove overrides for 's390-tools: embedded-library libyaml' detected
        in Rust code, since this got fixed now.
      - Suppress lintian warning:
        'systemd-service-file-refers-to-unusual-wantedby-target',
        since the used 'WantedBy=getty.target' might be unusual, but is valid
        in this case, since this is a requirement for starting the additional
        s390x-specific tty services.

 -- Frank Heimes <frank.heimes@canonical.com>  Mon, 09 Dec 2024 11:38:44 +0100

s390-tools (2.34.0-0ubuntu2) oracular; urgency=medium

  * The following solves (LP: #2077055):
    - Add d/p/discard-note-package-in-lds-files-to-solve-linker-error.patch
      to fix a linker issue that started to happen on oracular builds.
    - Add d/p/fix-unnecessary-qualification-error-in-ffi-rs-.patch
      to solve a Rust compile error.

 -- Frank Heimes <frank.heimes@canonical.com>  Mon, 19 Aug 2024 14:25:44 +0200

s390-tools (2.34.0-0ubuntu1) oracular; urgency=medium

  * New upstream release. (LP: #2073786)
    - Remove d/p/gzip-files-without-timestamps-or-names.patch and
    - d/p/lp-2072366-Revert-zipl-src-Fix-problems-when-target-params.patch
      since the patches are included in the new upstream release.

 -- Frank Heimes <frank.heimes@canonical.com>  Thu, 01 Aug 2024 17:01:56 +0200

s390-tools (2.33.1-0ubuntu4) oracular; urgency=medium

  * Add d/p/lp-2072366-Revert-zipl-src-Fix-problems-when-target-params.patch
    to fix an issue with zipl target parameters that is causing build failures
    on Cloudware oracular s390x. (LP: #2072366)

 -- Frank Heimes <frank.heimes@canonical.com>  Mon, 08 Jul 2024 07:57:31 +0200

s390-tools (2.33.1-0ubuntu3) oracular; urgency=medium

  * Remove gcc-multilib as dependency from d/control,
    because due to the removal of 31-bit legacy support
    gcc-multilib is no longer needed and also no longer build
    for s390x, which led to a failed package rebuild. LP: #2072257

 -- Frank Heimes <frank.heimes@canonical.com>  Thu, 04 Jul 2024 18:01:05 +0200

s390-tools (2.33.1-0ubuntu2) oracular; urgency=medium

  * No-change rebuild to enable frame pointers

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 01 Jul 2024 17:47:08 +0200

s390-tools (2.33.1-0ubuntu1) oracular; urgency=medium

  * New upstream release, requested in LP: #2067355
    - Refresh d/p/rust_paths.patch to remove fuzz and to avoid build failure
    - Run d/rules vendor-tarball to create new 'rust-vendor' folder
    - Adjust d/p/vendor-remove-unused-deps.patch due to new rust-vendor folder
    - Remove the following patches, since they're incl. in the new version:
      - d/p/lp-2058944-dbginfo.sh-dash-compatible-copy-sequence.patch
      - d/p/lp-2059303-rust-pv-test-Code-Certificate-refactoring.patch
      - d/p/lp-2059303-rust-pv-Support-Armonk-in-IBM-signing-key-subject.patch
      - d/p/lp-2059303-genprotimg-support-Armonk-in-IBM-signing-key-....patch
      - d/p/lp-2059303-libpv-Support-Armonk-in-IBM-signing-key-subject.patch
      - d/p/lp-2059303-pvattest-Fix-root-ca-parsing.patch
    - Update XS-Vendored-Sources-Rust field in d/control.
    - Adjust d/s390-tools.install* to cope with changed folders
      and to move doc files (readmes) from usr/share/s390-tools/* to
      usr/share/doc/s390-tools/* to solve lintian msgs.
    - Replace obsolete Build-Depends pkg-config pkgconf to solve lintian msg.
    - Redefine Section in d/control for libraries to solve lintian msgs.
    - Update DEP-3 header (fix typo and expand description) of
      d/p/debian/patches/gzip-files-without-timestamps-or-names.patch.
    - Add Build-Depends-Package line to *.symbol files to solve lintian msgs.
    - Remove all references in d/control to 31-bit 's390',
      since 31-bit legacy support (s390) got fully dropped.
    - Add d/s390-tools-zkey.lintian-overrides to silence false positive
      lintian warning 'package-has-unnecessary-activation-of-ldconfig-trigger'.
    - Adjust d/s390-tools.docs to rename the upstream changelog and
      solve lintian msg.
    - Add d/com.github.s390-tools.z90crypt.metainfo.xml and
      add it to d/s390-tools.install.s390x to solve lintian warning
      'appstream-metadata-missing-modalias-provide
      lib/udev/rules.d/40-z90crypt.rules'.

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 28 May 2024 10:32:08 +0200

s390-tools (2.31.0-0ubuntu5) noble; urgency=medium

  * Add the following commits as patches:
    - d/p/lp-2059303-rust-pv-test-Code-Certificate-refactoring.patch
      (excluded patching binary files rust/pv/tests/assets/cert/der.crl and
       rust/pv/tests/assets/cert/der.crt, which is not supported by quilt
       - these files are needed for testing only)
    - d/p/lp-2059303-rust-pv-Support-Armonk-in-IBM-signing-key-subject.patch
    - d/p/lp-2059303-genprotimg-support-Armonk-in-IBM-signing-key-subject.patch
    - d/p/lp-2059303-libpv-Support-Armonk-in-IBM-signing-key-subject.patch
    - d/p/lp-2059303-pvattest-Fix-root-ca-parsing.patch
    to fix Secure Execution tooling and accept new IBM host-key
    subject locality. LP: #2059303
  * Add d/p/lp-2058944-dbginfo.sh-dash-compatible-copy-sequence.patch
    to fix dash incompatibility in dbginfo.sh. LP: #2058944

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 02 Apr 2024 12:45:30 +0200

s390-tools (2.31.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:56:47 +1100

s390-tools (2.31.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:59:43 +0000

s390-tools (2.31.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:19:50 +0000

s390-tools (2.31.0-0ubuntu1) noble; urgency=medium

  [ Frank Heimes ]
  * New upstream release, requested in LP: #2049612
    - Includes 'Secure Execution - Secure guest tool to bind and associate
      APQNs'. LP: #2003672
    - No new crates and no significant changes in size of the vendored crates
      tar ball.
    - Update XS-Vendored-Sources-Rust field in d/control.
    - Modify d/s390-tools.install to add targets for the new pvapconfig tool.
    - Rewrote and updated d/copyright according to DEP-5 aka
      debian.org/doc/packaging-manuals/copyright-format/1.0/
    - Add d/s390-tools.lintian-overrides to override a known false positive
      detection of lintian of libyaml in rust code.
    - Add d/gzip-files-without-timestamps-or-names.patch to
      avoid timestampes in gzip that will lead to lintian warning
      'package-contains-timestamped-gzip' and will harm reproducible builds.

  [ Simon Chopin ]
  * d/control: replace dh-cargo by dh-cargo-tools and explicit cargo
    dependency as we're not using the dh plugin

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 26 Feb 2024 15:44:15 +0100

s390-tools (2.30.0-0ubuntu1) noble; urgency=medium

  * Remove some unused test directories from vendored dependencies to
    reduce the overall size of the vendor tarball

  [ Frank Heimes ]
  * New upstream release, requested in LP: #2045953
    - Remove d/p/lp-2028936-zkey-Support-EP11-AES-keys-with-prepended-.patch
      since it's now incl. in upstream 2.30.0.
    - Adjust d/p/rust_path.patch to align with changes in Makefile.
    - Adjust d/update-crate.sh and d/rules and point to the new workspace.
    - Due to the updated mockito crate 1.0, the entire tokio runtime is pulled
      in (needed for testing), which increases the vendored crate tar ball size
      to 5.5MB.
    - Update and expand d/vendor-remove-unused-deps.patch due to context changes
      in Cargo.toml files and because additional crates were added.
    - Update XS-Vendored-Sources-Rust field in d/control.
    - Adjust d/rules to not remove $(CARGO_VENDOR_DIR)/vcpkg,
      to fix a build issue.

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 16 Jan 2024 11:58:42 +0100

s390-tools (2.29.0-0ubuntu3) noble; urgency=medium

  * Change zkey to generate EP11 keys using a new format (PKEY_TYPE_EP11_AES),
    that allows to keep support for existing key blobs by adding d/p/
    lp-2028936-zkey-Support-EP11-AES-keys-with-prepended-header-to-.patch
    (LP: #2028936)

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 28 Nov 2023 12:00:58 +0100

s390-tools (2.29.0-0ubuntu2) mantic; urgency=medium

  * d/rules: Split the vendoring process into several discrete targets to be
    able to update the vendored code without having to update the tarball.
    This can be useful for security updates.
  * d/update-crate.sh: introduce a script to help updating a single crate
  * d/rules: don't overwrite the vendor tarball if it already exists. This
    should prevent some borked uploads.
  * d/README.source: Document the procedures for single-crate update as well
    as wholesale refresh of the vendor tarball.

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 20 Sep 2023 11:21:48 +0200

s390-tools (2.29.0-0ubuntu1) mantic; urgency=medium

  [ Frank Heimes ]
   * New upstream release, requested in LP: #2030316
     - Remove d/p/lp-2025578-Recursive-Makefiles-avoid-race-condition.patch
       since it's part of latest upstream version.
     - Adds KVM: Support AP Bindings in SE Header LP: #1983221
     - Adds Userspace Tool for IBK Request Generation and Insertion LP: #2003676
     - d/control: bumped Standards-Version version to 4.6.2.
     - d/s/lintian-overrides: Suppress lintian unknown-field(s)
       Build-Indep-Architecture and Vendored-Sources-Rust messages.
   * Update d/copyright and add. entries for the vendored crates.
   * Add pvsecret files to d/s390-tools.install.

  [ Simon Chopin ]
  * d/{rules,control}: Initial Rust packaging, including vendored sources.
  * Add d/p/rust_paths.patch to adapt upstream Rust Makefile for Debian's
    Rust tooling.
  * Add d/p/vendor-remove-unused-deps.patch to remove non relevant dependencies
    on some vendored crates.

 -- Frank Heimes <frank.heimes@canonical.com>  Sun, 06 Aug 2023 14:48:33 +0200

s390-tools (2.28.0-0ubuntu2) mantic; urgency=medium

  * Extend s390-tools package to amd64, ppc64el and arm64. (LP: #2025578)
    - d/control: - Extend Architecture: in s390-tools with amd64 ppc64el arm64
                 - Add new package s390-tools-data as 'Architecture: all'.
                 - Extend Depends: in s390-tools with s390-tools-data.
                 - Limit Depends on gcc-multilib to s390x.
                 - Add 'XS-Build-Indep-Architecture: s390x' to ensure building
                   the 'Architecture: all' on s390x.
                 - Mark Depends, Suggests and Recommends for s390x only where
                   needed to avoid confusing messages on non-s390x installs.
                 - Add Replaces and Breaks s390-tools (<< 2.28.0-0ubuntu2)
                   to allow smooth upgrades, since stage3a.bin moved to -data.
    - d/rules: - Separate selected statements in d/rules in s390x
                 (and non-s390x).
               - Add '-Xstage3a.bin -Xstage3b_reloc.bin' to dh_install
                 to avoid having these files in two packages (s390-tools
                 and s390-tools-data).
               - Change SIGN_SIPL condition to enable signing in Launchpad
                 only, and on s390x only.
    - d/s390-tools.install: - Make this old d/s390-tools.install the new s390x
                              specific version (.install.s390x) (by using mv).
                            - Remove lines with "=>" that rename files, to
                              eliminate executable .install.s390x file and
                              remove '#!/usr/bin/dh-exec', since this doesn't
                              seem to work for arch specific install files.
                            - Create new d/s390-tools.install to become the
                              default version for non-s390x, and install only
                              files for pvattest and genprotimg.
    - d/s390-tools-data.install: Pick and install bootloader files (stage3a.bin
                                 and stage3b_reloc.bin) required by genprotimg.
    - d/s390-tools.postinst: Make this old d/s390-tools.postinst now s390x
                             specific (mv to d/s390-tools.postinst.s390x).
    - Add d/p/lp-2025578-Recursive-Makefiles-avoid-race-condition.patch
      to fix random build failures due to race condition in install target.

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 26 Jul 2023 16:56:00 +0200

s390-tools (2.28.0-0ubuntu1) mantic; urgency=medium

  * New upstream release, requested in LP: #2025781
    - Adds Secure Execution APQN binding and IBK association LP: #2003633
    - Adds Support for List-Directed dump from ECKD DASD LP: #2003397
    - Adds DASD autoquiesce support LP: #2025576
    - Add pkg-config to d/control, since it's required now (4bba105).
    - Remove d/p/bashism.patch, since it's incl. in upstream now (5522aae).
  * d/control: 'wrap-and-sort -s' run

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 25 Jul 2023 10:10:36 +0200

s390-tools (2.26.0-0ubuntu1) lunar; urgency=medium

  * New upstream release, requested in LP: #2003284
    but also solves: LP: #1982339, LP: #2003281, LP: #2003286, LP: #2003393 and
    LP: #2003680
  * Update 'Standards-Version' field in d/control to latest version 4.6.1.0.

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 14 Feb 2023 15:00:53 +0100

s390-tools (2.25.0-0ubuntu1) lunar; urgency=medium

  * New upstream release, requested in LP: #2006451
  * Remove d/p/lp1986991-fix-binary-in-etc.patch and the corresponding lines
    in debian/rules and debian/s390-tools.install, since a fix for this is
    now upstream included with commit 4b5937f
    "ap_tools/ap-check: use new mdevctl install location".

 -- Frank Heimes <frank.heimes@canonical.com>  Thu, 26 Jan 2023 12:22:05 +0100

s390-tools (2.23.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release, that solves LP: #1986991, but also the following:
    LP: #1986670, LP: #1929033, LP: #1852736, LP: #1959972, LP: #1982346,
    LP: #1982368, LP: #1982384, LP: #1982760, LP: #1982838 and LP: #1959987
  * Remove the following patches since they are included with this
    new upstream release:
    - d/p/e8fca95-zdev-Fix-off-by-one-errors-in-cio_ignore-handling.patch
    - d/p/455ad95-zdump-Fix-dev-mem-reading.patch
    - d/p/ee2c6d4-zipl-Allow-optional-entries-that-are-left-out-when-f.patch
    - d/p/a9e13a2d-genprotimg-introduce-macro-for-the-control-flags-and.patch
    - d/p/0906293c-genprotimg-enable-pckmo-and-disable-pckmo-are-mutual.patch
    - d/p/5394cd36-genprotimg-add-PV-guest-dump-support.patch
    - d/p/78b0533-genprotimg-remove-DigiCert-root-CA-pinning.patch
    - d/p/673ff37-genprotimg-check_hostkeydoc-relax-default-issuer-che.patch
    - d/p/0d15a07-chreipl-fcp-mpath-bundle-a-pre-cooked-man-page.patch
    - d/p/2515832-util_arch-Add-IBM-z16-as-known-machine.patch
    - d/p/cce5f51-cpumf-lscpumf-Add-IBM-z16-extended-counter-set-def.patch
    - d/p/b16a6d4f-lszcrypt-add-CEX8S-support.patch
    - d/p/bcbb6fca-zcryptstats-add-CEX8-support.patch
    - d/p/4382901d-lszcrypt-show-AP-bus-msg-size-limit-capability.patch
    - d/p/27dce331-lszcrypt-add-support-for-checkstop-state.patch
    - d/p/a29b3c89-lszcrypt-new-options-to-show-only-accel-cca-or-ep11-.patch
    - d/p/a8b0d7ac-lszcrypt-new-options-to-filter-cards-queues-only.patch
    - d/p/46fd42af-lszcrypt-new-option-to-show-the-serial-numbers-of-CC.patch
    - d/p/3a13cb4-dbginfo.sh-unify-console-output.patch
    - d/p/2eea614-dbginfo.sh-unify-indents-prettify-code.patch
    - d/p/fcb503e-dbginfo.sh-sync-excludes-in-sysfs-data-collection.patch
    - d/p/abec41f-dbginfo.sh-alphabetic-order-of-log-and-config-files.patch
    - d/p/164d481-dbginfo.sh-check-existence-of-dump2tar-before-execut.patch
    - d/p/50a4740-dbginfo.sh-replace-which-by-builtin-command-type-for.patch
    - d/p/2ab27bd-dbginfo.sh-update-copyright-date.patch
    - d/p/a8579a0-dbginfo.sh-replace-indents-with-8char-tab.patch
    - d/p/81920f7-dbginfo.sh-re-group-commands-for-network.patch
    - d/p/a0d6edf-dbginfo.sh-re-group-commands-by-long-output.patch
    - d/p/812df79-dbginfo.sh-re-group-commands-by-topic.patch
    - d/p/2677a41-dbginfo.sh-re-group-commands-by-system-state.patch
    - d/p/be47b51-dbginfo.sh-re-group-commands-by-z-device.patch
    - d/p/02a0d12-dbginfo.sh-re-group-commands-by-block-scsi.patch
    - d/p/0981df6-cmsfs-fuse-fix-enabling-of-hard_remove-option.patch
    - d/p/9e62005-genprotimg-boot-disable-Warray-bounds-for-now.patch
  * Remove d/p0010-no-pie-is-not-a-valid-option-for-ld.patch since it's solved
    upstream with 5e46632, 71fe581, b39bdfb, 9f6150d and ae72178.
  * Remove d/p/0001-zkey-add-initramfs-hook.patch since it's solved upstream
    with 3669fd4.
  * Remove d/p/0001-zkey-on-Ubuntu-use-default-benchmarked-Argon2i-with-.patch
    since it's solved upstream with 51b9504.
  * Remove d/p/0001-dumpconf-Don-t-run-the-service-in-LXC.patch since it's
    solved upstream with b4648ec.
  * Remove d/p/0001-ziomon-Use-exit-code-0-for-version-and-help.patch since
    it's solved upstream with 6919921.
  * Remove d/p/adjust-runlevels-in-dumpconf-initd-script.patch since it's
    solved upstream with 508253c, 13fef6d, a177ae2 and b01ef78.
  * Add build dependency to liblockfile-dev for new ap-check/libap.
  * Remove 'etc/init.d/dumpconf' from debian/s390-tools.install
    since it is no longer included in upstream anymore,
    but add lib/systemd/system/dumpconf.service instead.
  * Updated /usr/share/man/man1/zfcpdbf.1 to /usr/share/man/man8/zfcpdbf.8
    to reflect upstream changes.
  * Explicitly add pvattest-info script to debian/s390-tools.install.
  * Add new ap_tools script 'ap-check' to debian/s390-tools.install
    and add mdevctl as 'Suggests' to debian/control.
  * Add new files usr/share/man/man8/zipl.8, etc/ziplenv and
    usr/share/man/man8/zipl-editenv.8 to debian/s390-tools.install.
  * Remove README.md for genprotimg from debian/s390-tools.docs,
    since it's already included in debian/s390-tools.install.
  * Add readme files for pvattest, hsavmcore/initramfs, iucvterm/ts-shell
    and zfcpdump to debian/s390-tools.install and add '#!/usr/bin/dh-exec'
    to the top of debian/s390-tools.install and made it executable,
    and add dh-exec to Build-Depends in debian/control,
    to be able to rename the readme files to a common scheme.
  * Add AUTHORS.md and LICENSE files to debian/s390-tools.docs.
  * Fix 'binary-in-etc' lintian issue and move the binary 'ap-check' to
    /usr/lib/s390-tools/ in debian/rules and introduce a wrapper script
    in '/etc/mdevctl.d/scripts.d/callouts/ap-check' with the help of
    d/p/lp1986991-fix-binary-in-etc.patch.

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 17 Aug 2022 10:55:47 +0200

s390-tools (2.20.0-0ubuntu5) kinetic; urgency=medium

  * d/p/9e62005-genprotimg-boot-disable-Warray-bounds-for-now.patch:
    Fix FTBFS with GCC-12 using upstream commit 9e62005 (LP: #1986670)

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 17 Aug 2022 12:13:49 +0200

s390-tools (2.20.0-0ubuntu4) kinetic; urgency=medium

  * Fix chreipl-fcp-mpath (LP: #1971993)
    - Move chreipl-fcp-mpath* from /lib/udev/rules.d to /lib/udev.
    - d/control:
      + Build-Depend on bsdextrautils for hexdump
      + Add multiple explicit Depends on udev
      + s390-tools-chreipl-fcp-mpath: drop unnecessary Depends on lvm2
    - No longer change attributes of chreipl-fcp-mpath-common.sh to 755,
      since only the input script '.in' has a she-bang, but not the '.sh'
      anymore (was done with commit c2f8988).
    - Add d/p/0d15a07-chreipl-fcp-mpath-bundle-a-pre-cooked-man-page.patch
      to bundle a pre-cooked version of the man page for chreipl-fcp-mpath
      Required minor context adjustment for CHANGELOG.md hunk
      and changes in d/rules.
    - Add missing README.md to s390-tools-chreipl-fcp-mpath.doc
      (and with that also the README.md for genprotimg to s390-tools.docs).
  * Add new CPU-MF Counters for new IBM Z hardware (LP: #1960119) by:
    - d/p/2515832-util_arch-Add-IBM-z16-as-known-machine.patch and
    - d/p/cce5f51-cpumf-lscpumf-Add-IBM-z16-extended-counter-set-def.patch
  * Add exploitation support of new IBM Z crypto hardware (LP: #1959548) with:
    - d/p/b16a6d4f-lszcrypt-add-CEX8S-support.patch
    - d/p/bcbb6fca-zcryptstats-add-CEX8-support.patch
    - d/p/4382901d-lszcrypt-show-AP-bus-msg-size-limit-capability.patch
    - d/p/27dce331-lszcrypt-add-support-for-checkstop-state.patch
    - d/p/a29b3c89-lszcrypt-new-options-to-show-only-accel-cca-or-ep11-.patch
    - d/p/a8b0d7ac-lszcrypt-new-options-to-filter-cards-queues-only.patch
    - d/p/46fd42af-lszcrypt-new-option-to-show-the-serial-numbers-of-CC.patch
  * Stabilization of data collection in dbginfo.sh script (LP: #1971959)
    by adding several upstream patches:
    - d/p/*-dbginfo.sh-*.patch
    - whereas one needed minor context adjutment for the CHANGELOG.md hunk:
      d/p/50a4740-dbginfo.sh-replace-which-by-builtin-command-type-for.patch
  * Fix cmsfs-fuse mount failure due to unknown option '-o hard_remove'
    (LP: #1978323) with:
    d/p/0981df6-cmsfs-fuse-fix-enabling-of-hard_remove-option.patch

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 20 May 2022 13:48:34 +0200

s390-tools (2.20.0-0ubuntu3) jammy; urgency=medium

  * No-change rebuild to match s390-tools-signed version

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 13 Apr 2022 10:32:45 +0000

s390-tools (2.20.0-0ubuntu2) jammy; urgency=medium

  * d/p/78b0533-genprotimg-remove-DigiCert-root-CA-pinning.patch
    Fix for genprotimg failing to process z15 host key documents
    after April 2022. (LP: #1968260)
  * d/p/673ff37-genprotimg-check_hostkeydoc-relax-default-issuer-che.patch
    Fixing check_hostkeydoc since it's checking the certificate issuer
    too strictly. (LP: #1968259)

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 08 Apr 2022 16:01:38 +0200

s390-tools (2.20.0-0ubuntu1) jammy; urgency=medium

  * New upstream release. LP: #1959420
  * Refresh several patches
  * Remove d/p/0001-libkmipclient-Fix-parsing-of-hex-values-for-XML-and-.patch
    since it's upstream with >= v2.18
  * Add d/adjust-runlevels-in-dumpconf-initd-script.patch to fix issue
    with runlevels in init.d/dumpconf
  * Add upstream commit/patch
    e8fca95-zdev-Fix-off-by-one-errors-in-cio_ignore-handling.patch
  * Add upstream commit/patch 455ad95-zdump-Fix-dev-mem-reading.patch
  * Remove d/p/zipl-optional.patch an replaced it by upstream commit/patch
    d/p/ee2c6d4-zipl-Allow-optional-entries-that-are-left-out-when-f.patch
  * Change d/control to:
    - remove the udeb packages from d/c, d/r and d/s390-tools*-udeb.*
    - add support for and updated Build-Depends to libfuse3-dev LP: #1935666
    - add new binary package s390-tools-chreipl-fcp-mpath
      incl. s390-tools-cpuplugd.install
    - change s390-tools Depends from perl to ${perl:Depends}
    - remove unneeded Depends on ${misc:Depends} from the lib*-dev packages
  * Change d/rules to fix permissions
  * Expand d/debian/s390-tools.install to include 81-dpm.rules
  * Add patches for KVM: Secure Execution guest dump encryption with
    customer keys LP: #1959965
    - d/p/a9e13a2d-genprotimg-introduce-macro-for-the-control-flags-and.patch
    - d/p/0906293c-genprotimg-enable-pckmo-and-disable-pckmo-are-mutual.patch
    - d/p/5394cd36-genprotimg-add-PV-guest-dump-support.patch

 -- Frank Heimes <frank.heimes@canonical.com>  Sun, 06 Feb 2022 11:27:24 +0100

s390-tools (2.17.0-0ubuntu3) jammy; urgency=medium

  * No-change rebuild for openssl3

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 31 Jan 2022 12:55:03 +0100

s390-tools (2.17.0-0ubuntu2) impish; urgency=medium

  * d/p/0001-libkmipclient-Fix-parsing-of-hex-values-for-XML-and-.patch
    Fix parsing of hex values for XML and JSON encoding in libkmipclient.
    (LP: #1938947)

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 08 Sep 2021 09:10:54 +0200

s390-tools (2.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release. LP: #1934988
    + New binaries hsavmcore and lshwc
    + New library libkmipclient
    + New build-dependency on libxml2-dev
  * Refresh the patches
  * Remove unapplied patch disable.patch.DEBIAN

 -- Simon Chopin <simon.chopin@canonical.com>  Fri, 09 Jul 2021 17:01:10 +0200

s390-tools (2.16.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release. LP: #1914574
  * Drop patches applied upstream.
  * Compile with ZDEV_ALWAYS_UPDATE_INITRD=1 option. This fixes calls to
    chzdev to trigger update-initramfs -u. LP: #1892367
  * Set install path via make variables, instead of patching source
    Makefiles.
  * Update homepage to github.com.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Feb 2021 05:49:54 +0000

s390-tools (2.15.1-1ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:10 +0100

s390-tools (2.15.1-1ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Feb 2021 00:03:00 +0000

s390-tools (2.15.1-1ubuntu1) hirsute; urgency=low

  * Update debian/watch for new ibm-s390-linux repo
  * Update debian/control for [XC-]Package-Type
  * Merge from Debian unstable. Remaining changes:
    - keep providing zkey
    - split some tools into individuall packages
    - Drop udevadm-path.patch
    - Drop ziomon package
    - Linux on z Systems naming
    - 0001-ziomon-Use-exit-code-0-for-version-and-help.patch
    - 0001-zkey-add-initramfs-hook.patch
    - 0001-zkey-on-Ubuntu-use-default-benchmarked-Argon2i-with-.patch
    - 0001-dumpconf-Don-t-run-the-service-in-LXC.patch
    - update-install-paths.patch
    - 0010-no-pie-is-not-a-valid-option-for-ld.patch
    - s390-tools-lp1903984-hirsute.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 08 Feb 2021 12:46:12 +0100

s390-tools (2.15.1-2) unstable; urgency=medium

  * Remove myself as a maintainer.

 -- Philipp Kern <pkern@debian.org>  Thu, 11 Feb 2021 07:18:40 +0100

s390-tools (2.15.1-1) unstable; urgency=medium

  * New upstream release
    - Install new tool lsstp.
    - Continue to skip out on zkey for now.

 -- Philipp Kern <pkern@debian.org>  Sat, 05 Dec 2020 11:55:08 +0100

s390-tools (2.15.1-0ubuntu6) hirsute; urgency=medium

  * debian/patches/s390-tools-lp1903984-hirsute.patch
    zcryptstats: Fix handling of partial results with many domains
    Thanks to Ingo Franzki (LP: #1903984)

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 19 Jan 2021 18:58:26 +0100

s390-tools (2.15.1-0ubuntu5) hirsute; urgency=medium

  * No-change rebuild to bring the version in sync with
    s390-tools-signed.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 08 Jan 2021 21:32:29 -0500

s390-tools (2.15.1-0ubuntu4) hirsute; urgency=medium

  * No-change upload due to net-snmp transition.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 07 Jan 2021 15:11:33 -0500

s390-tools (2.15.1-0ubuntu3) hirsute; urgency=medium

  * Fix FTBFS via d/p/0010-no-pie-is-not-a-valid-option-for-ld.patch
    "-no-pie" is not a valid option of ld and never has been (LP: #1907789)

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Thu, 07 Jan 2021 12:16:59 +0100

s390-tools (2.15.1-0ubuntu2) hirsute; urgency=medium

  * Package libekmfweb library.
  * Do not use /usr/lib64 prefix.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Nov 2020 14:23:24 +0000

s390-tools (2.15.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release. LP: #1902865, LP: #1902047, LP: #1892824, LP: #1887920, LP: #1887806
  * Drop .triggers, and initramfs override. Triggers to update initramfs
    are desired in both packages that ship hooks.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 Nov 2020 15:10:44 +0000

s390-tools (2.14.0-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable (LP: #1903688).  Remaining changes:
    - lower priority to optional
    - add libsnmp-dev, libglib2.0-dev build-deps
    - add support for signed zipl
    - use z Systems branding in descriptions
    - package cpuplugd, osasnmpd, statd, zkey
    - drop ziomon package, shipped in the main package
    - ship zdev in udeb
    - update copyright file
    - fix kernel installer script integration, to skip calling zipl without initrd
    - load monwriter kernel module for mon_statd/mon_fsstatd
    - do not run dumpconf in lxc
    - ziomon change exit code to 0 for version and help
    - add zkey initramfs hook
    - change zkey default back to argon2i
    - drop patch that disables building osasnmpd
    - drop udevadm-path.patch to init script, systemd units are used instead
    - enable hardening
    - enable initramfs & dracut integration
    - setup users/groups for mon_*, iucvterm, zkey
    - install more utilities and zdev initramfs integration
    - setup crashkernel integration
  * Update debian/not-installed file for additional files in debian/tmp
  * debian/rules:
    - drop unneeded "--parallel --with systemd" dh args
    - clean zipl/boot/.stage*.d files
    - avoid dh_installinitramfs to install additional triggers
  * s390-tools.docs: ship CHANGELOG.md (as Debian does)

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Mon, 09 Nov 2020 16:04:40 +0100

s390-tools (2.14.0-2) unstable; urgency=medium

  * Bump debhelper compat to v13.
  * Install more binaries.

 -- Philipp Kern <pkern@debian.org>  Sun, 23 Aug 2020 12:46:01 -0400

s390-tools (2.14.0-1ubuntu1) groovy; urgency=medium

  * Merge from Debian, remaining changes:
    - add libssl-dev, libglib2.0-dev build-deps
    - add support for signed zipl
    - package cpuplugd, osasnmpd, statd, zkey
    - update copyright file
    - fix kernel installer script integration, to skip calling zipl without initrd
    - load monwriter kernel module for mon_statd/mon_fsstatd
    - do not run dumpconf in lxc
    - ziomon change exit code to 0 for version and help
    - add zkey initramfs hook
    - change zkey default back to argon2i
    - drop patch that disables building osasnmpd
    - drop udevpath patch to init script, systemd units are used instead
    - enable hardening
    - enable initramfs & dracut integration
    - install more utilities and zdev initramfs integration
    - setup users/groups for mon_*, iucvterm, zkey
    - setup crashkernel integration
    - ship zdev in udeb
    - drop ziomon package, shipped in the main package

  * New upstream release fixes LP: #1892350, LP: #1888231, LP: #1884773,
    LP: #1884744, LP: #1884721

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 26 Aug 2020 11:11:23 +0100

s390-tools (2.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Philipp Kern <pkern@debian.org>  Sun, 23 Aug 2020 08:04:49 -0400

s390-tools (2.3.0-2) unstable; urgency=medium

  * Hardcode perl dependency instead of using ${perl:Depends}.
    The latter introduces a multi-arch dependency (perl:any) that the
    base installation environment cannot cope with.

 -- Philipp Kern <pkern@debian.org>  Sun, 16 Aug 2020 10:36:02 -0400

s390-tools (2.12.0-0ubuntu6) groovy; urgency=medium

  * Rebuild against new json-c5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jul 2020 19:56:05 +0200

s390-tools (2.12.0-0ubuntu5) groovy; urgency=medium

  * lsluns: fix udevadm calls to settle LP: #1873973.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 10 Jul 2020 12:44:00 +0100

s390-tools (2.12.0-0ubuntu4) groovy; urgency=medium

  * Don't run dumpconf service in LXC
    It just fails to start in unprivileged containers

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 20 May 2020 14:34:58 +0200

s390-tools (2.12.0-0ubuntu3) focal; urgency=medium

  * Update patch series to master tip:
    - PVM / genprotimg LP: #1834534, FFe LP: #1866866
    - zipl/libc: Fix potential buffer overflow LP: #1865032
    - zipl: Fix secureboot documentation LP: #1864654
    - Many other smaller bugfixes

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 20 Mar 2020 12:08:13 +0000

s390-tools (2.12.0-0ubuntu2) focal; urgency=medium

  * Cherrypick more patches from upstream.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Feb 2020 15:39:48 +0000

s390-tools (2.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release, plus cherrypick patches from master.
    LP: #1860574 LP: #1860531 LP: #1859018 LP: #1853308

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 29 Jan 2020 22:27:05 +0000

s390-tools (2.11.0-0ubuntu2) focal; urgency=medium

  * Rebuild for libsnmp35.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 14 Jan 2020 18:04:49 +0000

s390-tools (2.11.0-0ubuntu1) eoan; urgency=medium

  * New upstream release LP: #1830731
    - update from master snapshot, to v2.11.0 final
    - only minor bugfixes and clarifications included

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Sep 2019 16:36:31 +0100

s390-tools (2.10.0-0ubuntu2) eoan; urgency=medium

  * Cherrypick patches from master since v2.10.0.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 19 Aug 2019 20:07:27 +0100

s390-tools (2.10.0-0ubuntu1) eoan; urgency=medium

  * New upstream release LP: #1836862, LP: #1836608

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 31 Jul 2019 23:43:34 -0400

s390-tools (2.9.0-0ubuntu4) eoan; urgency=medium

  * Rebuild against new libjson-c4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Jul 2019 15:02:17 +0200

s390-tools (2.9.0-0ubuntu3) eoan; urgency=medium

  * Fix FTBFS LP: #1833238

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 19 Jun 2019 14:28:12 +0100

s390-tools (2.9.0-0ubuntu2) eoan; urgency=medium

  * Add secure initial programme load signing. LP: #1829749

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Jun 2019 13:20:45 +0100

s390-tools (2.9.0-0ubuntu1) eoan; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 22 May 2019 21:19:21 +0100

s390-tools (2.8.0-0ubuntu6) eoan; urgency=medium

  * Cherrypick v2.9.0 patches.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 08 May 2019 20:15:17 +0100

s390-tools (2.8.0-0ubuntu5) disco; urgency=medium

  * zkey: on Ubuntu, use default benchmarked Argon2i with LUKS2. LP:
    #1820049

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 15 Mar 2019 13:50:25 +0000

s390-tools (2.8.0-0ubuntu4) disco; urgency=medium

  * Guard against needlesly resetting cpi vars. LP: #1805841

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 13 Mar 2019 23:44:33 +0000

s390-tools (2.8.0-0ubuntu3) disco; urgency=medium

  * Import zkey bugfixes to support more cryptsetup options, and generate
    valid plain entries.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 07 Mar 2019 14:45:58 +0000

s390-tools (2.8.0-0ubuntu2) disco; urgency=medium

  * Restore missing history and, more importantly, the zz-zipl fix.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 28 Feb 2019 10:54:06 -0700

s390-tools (2.8.0-0ubuntu1) disco; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 21 Feb 2019 13:58:39 +0100

s390-tools (2.7.1-0ubuntu1) disco; urgency=medium

  * New upstream release:
    - zkey: Enhance error message about missing CCA library. LP: #1808520
    - Extended access controls for AP queue LP: #1804019
    - PCI error reporting tool LP: #1802499
    - zcrypt DD: introduce APQN tags to support deterministic driver
    binding LP: #1800867

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 15 Jan 2019 14:23:22 +0000

s390-tools (2.6.0-0ubuntu10) disco; urgency=medium

  * On Ubuntu, PATH is reset to a known secure path, when running programs
    as root, thus there is no need to reset PATH in zkey before calling
    system(). This fixes zkey failing to find cryptsetup. LP: #1803958

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 23 Nov 2018 02:45:09 +0000

s390-tools (2.6.0-0ubuntu9) disco; urgency=medium

  * No-change rebuild to fix wrong versioned dep on net-snmp.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Nov 2018 13:25:09 -0800

s390-tools (2.6.0-0ubuntu8) disco; urgency=medium

  * zz-zipl: Handle removed-but-not-purged state by checking for zipl first.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 05 Nov 2018 11:44:08 -0700

s390-tools (2.6.0-0ubuntu7) cosmic; urgency=medium

  * zdev: Trigger generic_ccw devices on any kernel module loads. LP:
    #1794308

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Oct 2018 10:23:35 +0100

s390-tools (2.6.0-0ubuntu6) cosmic; urgency=medium

  * Add a zkeyadm group, and make it own the default zkey repository
    directories. LP: #1794290
  * Cherrypick zdev initramfs hook rename
  * Cherrypick zkey initramfs hook LP: #1794346
  * Make zkey package activate update-initramfs trigger

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 02 Oct 2018 14:15:29 +0100

s390-tools (2.6.0-0ubuntu5) cosmic; urgency=medium

  * Cherrypick upstream patches for:
    - lstape, lsluns multiple paths fixes LP: #1790831
    - zkey documentation update
    - zfcpdump incompatible cast fix

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Sep 2018 11:42:43 +0100

s390-tools (2.6.0-0ubuntu4) cosmic; urgency=medium

  * Add s390-tools-zkey-udeb package with zkey utilities for d-i. LP:
    #1766865

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 04 Sep 2018 16:58:09 +0100

s390-tools (2.6.0-0ubuntu3) cosmic; urgency=medium

  * Make initramfs-tools zdev hooks not conflict with zfs. LP: #1788314

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 22 Aug 2018 18:05:29 +0100

s390-tools (2.6.0-0ubuntu2) cosmic; urgency=medium

  * Add zdev initramfs hooks to initialize firmware provided devices by
    default. LP: #1776631

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 21 Aug 2018 15:06:21 +0100

s390-tools (2.6.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Add a zkey subpackage LP: #1786460.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 21 Aug 2018 14:29:58 +0100

s390-tools (2.5.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release LP: #1776907 LP: #1775627 LP: #1775632
  * Drop udevadm patch, no longer needed
  * Refresh patches
  * Import upstream patches since v2.5.0 LP: #1777600

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Jul 2018 17:00:03 +0100

s390-tools (2.3.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop debian/patches/zipl-no-pie.patch: applied upstream.
  * Add a watch file.
  * Package ziomon/ziorep reporting tools. (Closes: #812588)

 -- Philipp Kern <pkern@debian.org>  Sun, 04 Feb 2018 13:29:22 -0500

s390-tools (2.3.0-0ubuntu4) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:18:56 +0000

s390-tools (2.3.0-0ubuntu3) bionic; urgency=medium

  * zz-zipl: Do not run if non-optional initrds don't exist yet (LP: #1766727)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Apr 2018 09:34:18 -0600

s390-tools (2.3.0-0ubuntu2) bionic; urgency=medium

  * Do not instead 60-readahead.rules, uses obsolete WAIT_FOR.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 Mar 2018 12:07:14 +0100

s390-tools (2.3.0-0ubuntu1) bionic; urgency=medium

  * New upstream release LP: #1746272

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Feb 2018 10:49:21 +0000

s390-tools (2.2.0-1) unstable; urgency=medium

  * New upstream release
    - Drop debian/patches/systemd-bindto.patch: applied upstream.
    - lsmem/chmem were moved to util-linux.
    - Ship upstream's changelog.

 -- Philipp Kern <pkern@debian.org>  Sun, 14 Jan 2018 15:36:29 +0100

s390-tools (2.2.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Cherry-pick debian change:
    - Check for udevadm in /bin, not /sbin. (Closes: #852572)
  * Add watch file
  * Update copyright file
  * Do not use fail-missing, fails on conf-files

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Jan 2018 11:09:26 +0000

s390-tools (1.39.0-0ubuntu4) artful; urgency=medium

  * Drop the depracated '-f device' and use required position 'device'
    only. -f flag got removed post v1.37. Otherwise zipl fails to
    determine correct underlying device topology and fails to IPL root on
    LVM or multipath. LP: #1723541

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 17 Oct 2017 18:09:49 +0100

s390-tools (1.39.0-0ubuntu3) artful; urgency=medium

  * Fix ftbfs.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 24 Aug 2017 00:14:43 +0100

s390-tools (1.39.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Drop patches applied upstream:
    + debian/patches/fix-ftbfs-link-order.patch
    + debian/patches/v1.37.1-updates.patch
  * Refresh patches.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 23 Aug 2017 17:28:21 +0100

s390-tools (1.37.1-1) unstable; urgency=medium

  * New upstream release
    - Pass in the default CPPFLAGS/LDFLAGS from debian/rules.
  * Drop the libsysfs-dev build-dependency; it is no longer used.
    (Closes: #856062)
  * Check for udevadm in /bin, not /sbin. (Closes: #852572)
  * Replace BindTo with BindsTo in systemd unit file. (Closes: #857190)

 -- Philipp Kern <pkern@debian.org>  Sun, 09 Jul 2017 10:07:15 +0200

s390-tools (1.37.0-0ubuntu7) artful; urgency=medium

  * Drop chmem/lsmem utilities, moved to util-linux.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Aug 2017 16:59:54 +0300

s390-tools (1.37.0-0ubuntu6) artful; urgency=medium

  * Set cpi vars (system name, type, level and sysplex name) via systemd
    generator.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 12:41:57 +0100

s390-tools (1.37.0-0ubuntu5) artful; urgency=medium

  * Revert 1.37.0-0ubuntu2 "chzdev/qeth: set bridge_role after the device
    is online", as one must specify layer2 parameter when specifying layer
    specific parameters. LP: #1618463.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 May 2017 17:03:44 +0100

s390-tools (1.37.0-0ubuntu4) artful; urgency=medium

  * chzdev: Fix ineffective zfcp-lun udev rule preventing activation of
    unordered WWPNs. LP: #1683808

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 May 2017 12:25:08 +0100

s390-tools (1.37.0-0ubuntu3) zesty; urgency=medium

  * Cherrypick v1.37.1 point release bug fixes LP: #1671497, LP: #1669785
    - dbginfo.sh: Add Docker debug data
    - lsdasd: Replace continue with return
    - lscss: Allow to specify devices from subchannel set 3
    - mon_fsstatd: Only use physical filesystems
    - mon_fsstatd: Fix double free in error path
    - mon_procd: Fix segmentation fault
    - mon_procd: Bump buffer size to 4096

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Mar 2017 16:10:35 +0100

s390-tools (1.37.0-0ubuntu2) zesty; urgency=medium

  * chzdev/qeth: set bridge_role after the device is online to avoid a
    race condition when setting qeth attributes on boot. LP: #1618463.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 14 Mar 2017 09:26:12 +0000

s390-tools (1.37.0-0ubuntu1) zesty; urgency=medium

  * New upstream release LP: #1657166 LP: #1656809
  * Drop no-wait-for.patch, fixed upstream.
  * Reintroduce GNU_SOURCE and -rdynamic via dpkg-buildflags, as they are
    lost in the buildsystem.
  * Fix linking order in dump2tar Makefile.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 30 Jan 2017 12:37:45 +0000

s390-tools (1.36.1-1ubuntu1) zesty; urgency=medium

  * Merge s390-tools 1.36.1-1 from debian, remaining changes:
    - lower priority to optional
    - build-depend on libsnmp-dev
    - add cpuplugd, statd, osasnmpd subpackages
    - use z Systems branding in descriptions
    - ship monwriter
    - Apply patch to exit 0 on help for ziomon
    - Drop unused patches from debian/patches
    - Add CondifitionVirtualization to cpacfstatsd unit
    - Drop disable.patch
    - Drop WAIT_FOR stanzas in udev rules
    - Apply spelling patch
    - add update-initramfs -u zdev-root-update integration to zdev
    - Ship zdev in udeb
    - Add monitoring systemd units

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 30 Jan 2017 11:41:42 +0000

s390-tools (1.36.1-1) unstable; urgency=medium

  * New upstream release
  * Build/link zipl with -fno-pie/-no-pie, as PIE is now enabled globally in
    Debian's build of gcc and zipl will halt at boot if it is enabled.
  * Drop the CFLAGS/CXXFLAGS patches, as the upstream build system now
    allows one to pass in custom environment variables without overwriting
    them.

 -- Philipp Kern <pkern@debian.org>  Tue, 24 Jan 2017 03:29:35 -0500

s390-tools (1.36.1-0ubuntu3) zesty; urgency=medium

  * Add update-initramfs -u integration for chzdev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 14 Nov 2016 16:49:11 +0000

s390-tools (1.36.1-0ubuntu2) yakkety; urgency=medium

  * Fix exit codes. LP: #1616596

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 15 Sep 2016 13:05:09 +0100

s390-tools (1.36.1-0ubuntu1) yakkety; urgency=medium

  * New upstream point release. LP: #1609435

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Sep 2016 18:04:11 +0100

s390-tools (1.36.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release. LP: #1614579
  * Merge debian changes up to 1.34.0-2.
  * Refresh patches

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Aug 2016 12:20:46 +0100

s390-tools (1.34.0-2) unstable; urgency=medium

  [ Hendrik Brueckner ]
  * Added zdsfs and hmc drive FUSE file systems (Closes: #818495)
  * Added tools to display information about the CPU-measurement counter
    and sampling facilities.  This includes a database with hardware
    counter information. (Closes: #818385)
  * Added lsscm command to display Storage-Class Memory aka Flash Express
    (Closes: #818381)

  [ Philipp Kern ]
  * Use dh instead of raw debhelper commands.
  * Let the build system not overwrite CFLAGS/CXXFLAGS but append to it.
  * Bump debhelper compatibility level from 7 to 9.
  * Dropped the leading article from the description synopsis.
  * Added copyright notices to debian/copyright.

 -- Philipp Kern <pkern@debian.org>  Sun, 03 Apr 2016 11:53:35 +0200

s390-tools (1.34.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop error-manpages.patch (fixed upstream).
    - Drop install.patch (works as-is with upstream's build system).

 -- Philipp Kern <pkern@debian.org>  Sun, 20 Mar 2016 22:54:33 +0100

s390-tools (1.34.0-0ubuntu11) yakkety; urgency=medium

  * zipl: Import off-by-one patch to resolve failure to start subchannel
    in FBA loader. LP: #1592990.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 24 Jun 2016 12:41:30 +0100

s390-tools (1.34.0-0ubuntu10) yakkety; urgency=medium

  * Fix ts-shell maintainer scripts LP: #1567473:
    - create /var/log/ts-shell directory with the right permissions
    - remove errorous directory
  * Install iuctty-login@.service systemd unit, with a correct path LP:
    #1580226

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 06 Jun 2016 12:37:33 +0100

s390-tools (1.34.0-0ubuntu9) yakkety; urgency=medium

  * Cherrypick upstream fix for buffer overflow in dasdfmt. LP: #1582728

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 06 Jun 2016 11:51:16 +0100

s390-tools (1.34.0-0ubuntu8) xenial; urgency=medium

  * Ship dumpconf legacy init script, and sysconfig file. LP: #1564690
  * Integrate ts-shell. LP: #1567473
  * Recommend statd package, and mention it by mon_statd name too to aid
    discovery.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 14 Apr 2016 14:26:16 +0100

s390-tools (1.34.0-0ubuntu7) xenial; urgency=medium

  * Add statd subpackage with modules-load.d snippet and
    mon_fstatd/mon_procd units to enable statd daemons. LP: #1569454.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 13 Apr 2016 13:51:49 +0100

s390-tools (1.34.0-0ubuntu6) xenial; urgency=medium

  * Drop more obsolete WAIT_FOR udev rules stanzas.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 12 Apr 2016 12:36:06 +0100

s390-tools (1.34.0-0ubuntu5) xenial; urgency=medium

  * Add condition to cpacfstatsd.service to only start on LPARs (which may
    still fail, if LPAR is not configured with the right counters).
  * Add a system group for cpacfstatsd.service.
  * Reluctantly Bump crashkernel to 196M, as otherwise 128M is not enough
    by default to collect a kdump on any LPAR, defeating the intended
    purpose in the first place. (LP: #1564475)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 11 Apr 2016 12:51:36 +0100

s390-tools (1.34.0-0ubuntu4) xenial; urgency=medium

  * Inlcude chzdev & lzdev utilities in the udeb.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 08 Apr 2016 11:55:01 +0100

s390-tools (1.34.0-0ubuntu3) xenial; urgency=medium

  * Ship all tools, mostly harmless LP: #1555167, LP: #1564690, LP: #1564696
  * Add snmp build-dependency to build osasnmpd as a separate
    package LP: #1564699
  * Add cpuplugd, with patches to default config, as a separate
    package LP: #1564496
  * Update branding from "S/390" to "z Systems"

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 06 Apr 2016 02:12:04 +0100

s390-tools (1.34.0-0ubuntu2) xenial; urgency=medium

  * Upgrade /etc/zipl.conf to include crashkernel parameter by default
    (LP: #1555159)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 18 Mar 2016 17:58:20 +0000

s390-tools (1.34.0-0ubuntu1) xenial; urgency=medium

  [ Dimitri John Ledkov ]
  * New upstream release LP: #1558274. LP: #1559188.

  [ Hendrik Brueckner ]
  * Added missing lsscm command to display Storage-Class Memory,
    aka. Flash Express  (Closes: #818381) LP: #1558273
  * Added tools to display information about the CPU-measurement counter
    and sampling facilities.  This includes a database with hardware
    counter information.  (Closes: #818385) LP: #1558277
  * Added zdsfs and hmc drive FUSE file systems (Closes: #818495) LP: #1558709

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 18 Mar 2016 17:20:08 +0000

s390-tools (1.33.0-1ubuntu2) xenial; urgency=medium

  * Include debian ifupdown networking information. LP: #1551819

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Mar 2016 12:14:51 +0000

s390-tools (1.33.0-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add zfcp monitoring and reporting tools (ziomon).
    - ship dbginfo.sh
    - fix bashism in dbginfo
    - ship chzdev and lszdev tools

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Mar 2016 11:57:02 +0000

s390-tools (1.33.0-1) unstable; urgency=medium

  [ Philipp Kern ]
  * New upstream release.
  * Make the build verbose.

  [ Hendrik Brueckner ]
  * Clean up lsluns comment leftovers.
  * Install additional management utilities: lschp, chchp, dasdstat,
    cio_ignore, and znetconf with its related files. (Closes: #812092)

 -- Philipp Kern <pkern@debian.org>  Sun, 14 Feb 2016 13:53:07 +0100

s390-tools (1.33.0-0ubuntu2) xenial; urgency=medium

  [ Hendrik Brueckner ]
  * Add zfcp monitoring and reporting tools (ziomon) (Closes: #812588)
    LP: #1540425.

  [ Dimitri John Ledkov ]
  * Drop dependencies/recommendencies for ziomon to Suggests, to avoid
    pulling those large packages, on all installation types (including
    virtual machines, cloud images, lxc/lxd/docker containers)

  * Possibly it is time to split s390-tools into essential, and optional
    binary packages with correct dependencies.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 09 Feb 2016 11:38:46 +0000

s390-tools (1.33.0-0ubuntu1) xenial; urgency=medium

  * New upstream release LP: #1542338.
  * Drop dbginfo.sh patches LP: #1539719.
  * Fix bashism in the new dbginfo.sh.
  * Ship chzdev and lszdev tools.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 09 Feb 2016 11:27:28 +0000

s390-tools (1.32.0-2ubuntu4) xenial; urgency=medium

  * debian/control: drop the libsysfs-dev Build-Depends; it's not in fact used
    at all anymore due to being deemed too unstable. Reaching the sysfs
    attributes directly instead works (documented in README).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 03 Feb 2016 17:51:16 -0500

s390-tools (1.32.0-2ubuntu3) xenial; urgency=medium

  * unbreak zipl.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Feb 2016 01:37:01 +0000

s390-tools (1.32.0-2ubuntu2) xenial; urgency=medium

  [ Dimitri John Ledkov ]
  * Support DESTDIR in the makefiles.
  * Modernise packaging.
  * Apply patch to build zipl without PIE, even if enabled by
    default in the toolchain.
  * Enable verbose builds
  * Enable support for CFLAGS, and thus build optimized binaries,
    with debug symbols stored in debugsymbols package.
  * Enable hardening build flags.
  * Enable parallel build.
  * Fix spelling in binaries.
  * Fix one more LO macro in vmur man page.
  * Simplify synopsis.

  [ dann frazier ]
  * Add dbginfo.sh. (Closes: #807442, LP: #1539719)
    - dbginfo.sh-umask.patch: Avoid leaking content to unprivileged users.
    - dbginfo.sh-warn.patch: Warn users about the sensitivity of the data
      this tool collects.

  [ Hendrik Brueckner ]
  * Clean up lsluns comment leftovers
  * Install additional management utilities: lschp, chchp, dasdstat,
    cio_ignore, and znetconf with its related files. (Closes: #812092, LP:
    1536559)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 02 Feb 2016 14:13:33 +0000

s390-tools (1.32.0-2ubuntu1) xenial; urgency=high

  * Merge from Debian unstable.  Remaining changes:
    - Set -no-pie flags to fix miscompilation on ubuntu/s390x which has
    pie enabled by default.
    - Make build verbose.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 14 Dec 2015 11:14:08 +0000

s390-tools (1.32.0-2) unstable; urgency=medium

  [ Hendrik Brueckner ]
  * Install the device-mapper helper for zipl and chreipl to boot from and
    prepare an underlying disk device of a mapped device for IPL.  This
    applies to linear mapped devices, for example, multipath devies or LVM.
    (Closes: #807470)

  [ dann frazier ]
  * Add lsluns. (Closes: #807440)

 -- Philipp Kern <pkern@debian.org>  Sun, 13 Dec 2015 15:50:32 +0100

s390-tools (1.32.0-1) unstable; urgency=medium

  * New upstream release

 -- Philipp Kern <pkern@debian.org>  Sun, 25 Oct 2015 17:11:21 +0100

s390-tools (1.30.0-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches.
    - Only disable building osasnmpd.
    - Build-depend on libpfm4-dev to build cpacfstats (not yet installed).
    - Drop -fno-delete-null-pointer-checks for building zipl (merged
      upstream).

 -- Philipp Kern <pkern@debian.org>  Sun, 16 Aug 2015 14:58:09 -0400

s390-tools (1.25.0-2) unstable; urgency=medium

  * Do not build-depend on gcc-4.8 and instead use
    -fno-delete-null-pointer-checks for building zipl's bootloader stage.
    Thanks, Bastian Blank!

 -- Philipp Kern <pkern@debian.org>  Tue, 26 Aug 2014 20:18:31 +0000

s390-tools (1.25.0-1) unstable; urgency=medium

  * New upstream release
    - Refreshed patches.
    - Dropped the backported zipl fix.
    - Build zipl's bootloader part with gcc-4.8 to sidestep miscompilation.
      (Closes: #758115)

 -- Philipp Kern <pkern@debian.org>  Sun, 24 Aug 2014 19:41:12 +0200

s390-tools (1.24.1-1) unstable; urgency=medium

  * New upstream release
    - Refreshed patches.
    - Backported a zipl command-line fix from 1.25.0.

 -- Philipp Kern <pkern@debian.org>  Sun, 10 Aug 2014 22:20:01 +0200

s390-tools (1.17.1-1) unstable; urgency=low

  * New upstream release.
    - Adjusted install.patch.
  * Install udev ruleset as provided by upstream.
    - Add udev-dasd-blkid.patch to use blkid instead of vol_id in
      59-dasd.rules.
    - Do not ship 57-osasnmpd.rules as we do not ship the corresponding
      daemon.

 -- Philipp Kern <pkern@debian.org>  Sat, 04 May 2013 18:39:17 +0000

s390-tools (1.16.0-2) unstable; urgency=low

  * Drop the now non-existent vol_id from the shipped udev ruleset
    and use blkid instead.

 -- Philipp Kern <pkern@debian.org>  Fri, 30 Nov 2012 22:10:43 +0000

s390-tools (1.16.0-1) unstable; urgency=low

  * New upstream release.
  * Drop patches that are no longer needed:
    - error.patch
    - support-linux-3.patch
  * Refresh the remaining patches.

 -- Philipp Kern <pkern@debian.org>  Wed, 14 Dec 2011 09:59:38 +0000

s390-tools (1.14.0-1) unstable; urgency=low

  * New upstream release.
  * Change priority of s390-tools-udeb to the current override value
    `optional'.  It is still pulled in by other installer components.
  * Avoid calling zipl multiple times.  (Closes: #599931)
  * Build hyptop: a utility to monitor the resource usage of other
    guests running on the same LPAR or z/VM hypervisor.
  * Build cmsfs-fuse: userspace filesystem access to z/VM CMS disks.
  * Install chzcrypt, chmem and lsmem.

 -- Philipp Kern <pkern@debian.org>  Wed, 26 Oct 2011 16:11:35 +0200

s390-tools (1.13.0-2) unstable; urgency=medium

  * Re-add s390x support from 1.8.3-4.  (Closes: #637261)
  * Add build-dependency on libfuse-dev.  (Closes: #645836)

 -- Philipp Kern <pkern@debian.org>  Wed, 19 Oct 2011 10:00:12 +0200

s390-tools (1.13.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh the patches against the new upstream release.
  * Add support-linux-3.patch to fix a check for Linux < 2.6.
  * Build zipl boot block with -m64 to support the new assembler
    instructions.  Also build-depend on gcc-multilib for that.
  * Add myself to uploaders.

 -- Philipp Kern <pkern@debian.org>  Thu, 06 Oct 2011 23:06:07 +0200

s390-tools (1.8.3-3) unstable; urgency=high

  * Don't fail hook if zipl.conf is missing. (closes: #600100)
  * Install initramfs update hook. (closes: #594127)

 -- Bastian Blank <waldi@debian.org>  Thu, 21 Oct 2010 17:16:41 +0200

s390-tools (1.8.3-2) unstable; urgency=low

  * Add hook for kernel installation. (closes: #590028)

 -- Bastian Blank <waldi@debian.org>  Fri, 20 Aug 2010 13:36:21 +0200

s390-tools (1.8.3-1) unstable; urgency=low

  [ Bastian Blank ]
  * New upstream version. (closes: #566649)
  * Use 3.0 (quilt) source format.
  * Use debhelper compat level 7.
  * Set section to admin.
  * Don't install the scripts dbginfo.sh, scsi_logging_level and zfcpdbf.
  * Install ipl tools and vmur.
  * Install iucv terminal tools.
    - Move iucvtty to /sbin, it is a getty to be called from inittab.

  [ Frans Pop ]
  * lstape, chccwdev: use bash as shell. Closes: #566675.
  * Update debian/copyright and add upstream web site in debian/control.
  * Document 'optional' parameter in zipl.conf man page. Closes: #566642.
  * Include the upstream README in /usr/share/doc.
  * Fix dpkg-genchanges warning 'missing Priority for source files'.
  * Add dependency on gawk as lsdasd calls awk with the --posix option.
    Closes: #564893.

 -- Bastian Blank <waldi@debian.org>  Sun, 04 Apr 2010 10:35:45 +0200

s390-tools (1.6.2-1) unstable; urgency=low

  * New upstream version.
  * Install udev rules.

 -- Bastian Blank <waldi@debian.org>  Tue, 15 Jul 2008 23:55:41 +0200

s390-tools (1.5.3-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Thu, 13 Apr 2006 13:12:00 +0200

s390-tools (1.5.1-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Sat, 28 Jan 2006 21:03:00 +0100

s390-tools (1.3.1-2) unstable; urgency=low

  * zipl:
    - Add support for optional ipl images.

 -- Bastian Blank <waldi@debian.org>  Sun, 27 Jun 2004 18:45:15 +0200

s390-tools (1.3.1-1) unstable; urgency=low

  * New upstream version. (closes: #249731)
  * debian/control:
    - Update Priorities to match override.
  * debian/rules:
    - Use debhelper udeb support.

 -- Bastian Blank <waldi@debian.org>  Fri, 18 Jun 2004 19:08:55 +0200

s390-tools (1.2.4-1) unstable; urgency=low

  * New upstream version. (closes: #231441)
  * debian/compat:
    - Add.
  * debian/control:
    - Build-Depend against libtool (>> 4.0.0), di-packages-build (>= 0.6).
    - Set Standards-Version to 3.6.1, no changes.
  * debian/rules:
    - Use di-packages-build.

 -- Bastian Blank <waldi@debian.org>  Fri, 06 Feb 2004 18:24:20 +0100

s390-tools (1.2.1-2) unstable; urgency=low

  * Makefile
    - reenable zdump, qetharp, qethconf

 -- Bastian Blank <waldi@debian.org>  Sat, 01 Nov 2003 14:33:32 +0100

s390-tools (1.2.1-1) unstable; urgency=low

  * new upstream version
  * debian/control
    - maintainer is now debian-s390@lists.debian.org
    - uploaders are Bastian Blank and Jochen Röhrig
  * remove old parsecfg stuff

 -- Bastian Blank <waldi@debian.org>  Fri, 01 Aug 2003 22:54:10 +0200

s390-tools (1.1.6-1) unstable; urgency=low

  * new upstream version
  * debian/control
    - don't depend against kernel-source
    - new package s390-tools-udeb
  * fdsds/Makefile, dasdfmt/Makefile
    - use -Os -fomit-frame-pointer

 -- Bastian Blank <waldi@debian.org>  Thu, 24 Oct 2002 19:25:12 +0200

s390-tools (0.0.20020226-4) unstable; urgency=high

  * Corrected maintainer mail address.

 -- Jochen Röhrig <jr@debian.org>  Fri, 19 Apr 2002 14:15:38 +0200

s390-tools (0.0.20020226-3) unstable; urgency=high

  * Corrected link to the IBM Developerworks documentation
    in zgetdump.8.
  * Changed build-dependency from kernel-headers-2.4.7 to
    kernel-headers-2.4.17.
  * Set urgency to high since the old s390-tools won't build
    any longer as soon as the kernel-headers-2.4.7-packages is
    removed from the archive.

 -- Jochen Röhrig <jr@debian.org>  Fri, 19 Apr 2002 01:12:44 +0200

s390-tools (0.0.20020226-2) unstable; urgency=critical

  * Set urgency to "critical" since this version of s390-tools is
    needed in order to build the current boot-floppies in testing.
  * Updated the link to the "LINUX for S/390 Device Drivers and
    Installation Commands"-book in some of the man pages.

 -- Jochen Röhrig <jr@debian.org>  Mon, 11 Mar 2002 18:48:06 +0100

s390-tools (0.0.20020226-1) unstable; urgency=low

  * Integrated new patches from the IBM Developerworks website
     (s390-tools-4.tar.gz, released on 2001.12.12 and
      s390-tools-5.tar.gz, released on 2002.02.26).
  * Upgraded parsecfg to version 3.6.9.

 -- Jochen Röhrig <jr@debian.org>  Wed, 27 Feb 2002 20:20:26 +0100

s390-tools (0.0.20011109-2) unstable; urgency=low

  * Removed symlinks

           /sbin/fdisk -> fdasd
    and    /usr/share/man/man8/fdisk.8.gz -> fdasd.8.gz

    (not needed any longer by the S/390 boot-floppies).

 -- Jochen Röhrig <jr@debian.org>  Wed, 12 Dec 2001 22:55:12 +0100

s390-tools (0.0.20011109-1) unstable; urgency=low

  * Integrated new patch from the IBM Developerworks website
     (s390-tools-3.tar.gz, released on 2001.11.09).
    New tool: dasdview

 -- Jochen Röhrig <jr@debian.org>  Wed, 14 Nov 2001 21:23:04 +0100

s390-tools (0.0.20011012-1) unstable; urgency=low

  * Integrated new patch from the IBM Developerworks website
     (s390-tools-2.tar.gz, released on 2001.10.12).
  * Updated the links to the documents on the IBM Developerworks
    website.

 -- Jochen Röhrig <jr@debian.org>  Tue, 30 Oct 2001 20:53:46 +0100

s390-tools (0.0.20010820-2) unstable; urgency=low

  * Added symlinks

           /sbin/fdisk -> fdasd
    and    /usr/share/man/man8/fdisk.8.gz -> fdasd.8.gz

    needed by the S/390 boot-floppies.

 -- Jochen Röhrig <jr@debian.org>  Thu, 30 Aug 2001 22:52:21 +0200

s390-tools (0.0.20010820-1) unstable; urgency=low

  * New upstream release.
  * Support configuration files for zipl (integrated Yuuki NINOMIYA's
    parsecfg-tool).

 -- Jochen Röhrig <jr@debian.org>  Mon, 27 Aug 2001 19:23:53 +0200

s390-tools (0.0.20010629-1) unstable; urgency=low

  * Initial Release (closes: Bug#106313).
  * Fixed some problems in upstream source
    (variable initialization in fdasd/vtoc.h, badly chosen dependency name
    in fdasd/Makefile for target "libvtoc.a", missing dependency in
    fdasd/Makefile for target "install", wrong version output in
    fdasd/fdasd.c, wrong action in zipl/src/Makefile for target "install").
  * Link dasdfmt and fdasd statically.
  * Don't support configuration files for zipl yet.
  * Adjusted Makefiles (install to directories as required by Debian policy).
  * Added pointers to documentation on IBM Developer Works to dasdfmt.8,
    fdasd.8 and zgetdump.8.
  * Composed zipl manpage from "zipl -h" output.

 -- Jochen Röhrig <jr@debian.org>  Mon, 23 Jul 2001 20:24:37 +0200
